Gentoo Archives: gentoo-commits

From: "Tomas Chvatal (scarabeus)" <scarabeus@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in dev-util/cmake: ChangeLog cmake-2.8.3-r1.ebuild
Date: Mon, 17 Jan 2011 23:30:08
Message-Id: 20110117232933.34D5B20054@flycatcher.gentoo.org
scarabeus    11/01/17 23:29:33

  Modified:             ChangeLog cmake-2.8.3-r1.ebuild
  Log:
  Fix tests per bug #315223.
  
  (Portage version: 2.2.0_alpha15/cvs/Linux x86_64)

Revision  Changes    Path
1.151                dev-util/cmake/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-util/cmake/ChangeLog?rev=1.151&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-util/cmake/ChangeLog?rev=1.151&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-util/cmake/ChangeLog?r1=1.150&r2=1.151

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-util/cmake/ChangeLog,v
retrieving revision 1.150
retrieving revision 1.151
diff -u -r1.150 -r1.151
--- ChangeLog	26 Dec 2010 22:39:38 -0000	1.150
+++ ChangeLog	17 Jan 2011 23:29:32 -0000	1.151
@@ -1,6 +1,9 @@
 # ChangeLog for dev-util/cmake
-# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-util/cmake/ChangeLog,v 1.150 2010/12/26 22:39:38 scarabeus Exp $
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-util/cmake/ChangeLog,v 1.151 2011/01/17 23:29:32 scarabeus Exp $
+
+  17 Jan 2011; Tomáš Chvátal <scarabeus@g.o> cmake-2.8.3-r1.ebuild:
+  Fix tests per bug #315223.
 
   26 Dec 2010; Tomáš Chvátal <scarabeus@g.o> -cmake-2.6.4-r3.ebuild,
   -cmake-2.8.3.ebuild:



1.4                  dev-util/cmake/cmake-2.8.3-r1.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-util/cmake/cmake-2.8.3-r1.ebuild?rev=1.4&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-util/cmake/cmake-2.8.3-r1.ebuild?rev=1.4&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-util/cmake/cmake-2.8.3-r1.ebuild?r1=1.3&r2=1.4

Index: cmake-2.8.3-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-util/cmake/cmake-2.8.3-r1.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- cmake-2.8.3-r1.ebuild	17 Jan 2011 19:28:36 -0000	1.3
+++ cmake-2.8.3-r1.ebuild	17 Jan 2011 23:29:32 -0000	1.4
@@ -1,6 +1,6 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-util/cmake/cmake-2.8.3-r1.ebuild,v 1.3 2011/01/17 19:28:36 scarabeus Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-util/cmake/cmake-2.8.3-r1.ebuild,v 1.4 2011/01/17 23:29:32 scarabeus Exp $
 
 EAPI="3"
 
@@ -118,6 +118,8 @@
 }
 
 src_test() {
+	# fix OutDir test
+	sed -i -e 's:#IGNORE ::g' "${S}"/Tests/OutDir/CMakeLists.txt || die
 	pushd "${CMAKE_BUILD_DIR}" > /dev/null
 	"${CMAKE_BUILD_DIR}"/bin/ctest || die "Tests failed"
 	popd > /dev/null